org.optaplanner.core.impl.score.stream.tri

## Class CompositeTriJoiner<A,B,C>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.common.AbstractJoiner
  - - org.optaplanner.core.impl.score.stream.tri.AbstractTriJoiner<A,B,C>
    - - org.optaplanner.core.impl.score.stream.tri.CompositeTriJoiner<A,B,C>

- All Implemented Interfaces:
    TriJoiner<A,B,C>

      public final class CompositeTriJoiner<A,B,C>
      extends AbstractTriJoiner<A,B,C>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompositeTriJoiner(List<SingleTriJoiner<A,B,C>> joinerList)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<SingleTriJoiner<A,B,C>>` | `getJoinerList()`
    `JoinerType[]` | `getJoinerTypes()`
    `BiFunction<A,B,Object[]>` | `getLeftCombinedMapping()`
    `Function<C,Object[]>` | `getRightCombinedMapping()`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.tri.AbstractTriJoiner

      `merge`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.common.AbstractJoiner

      `buildCombinedMappingBi, buildCombinedMappingUni`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompositeTriJoiner

          public CompositeTriJoiner(List<SingleTriJoiner<A,B,C>> joinerList)

  - ### Method Detail

    - #### getJoinerList

          public List<SingleTriJoiner<A,B,C>> getJoinerList()

    - #### getLeftCombinedMapping

          public BiFunction<A,B,Object[]> getLeftCombinedMapping()

      Specified by:
        `getLeftCombinedMapping` in class `AbstractTriJoiner<A,B,C>`

    - #### getJoinerTypes

          public JoinerType[] getJoinerTypes()

      Specified by:
        `getJoinerTypes` in class `AbstractJoiner`

    - #### getRightCombinedMapping

          public Function<C,Object[]> getRightCombinedMapping()

      Specified by:
        `getRightCombinedMapping` in class `AbstractTriJoiner<A,B,C>`

Copyright © 2006–2019 JBoss by Red Hat. All rights reserved.